Skip to main content
`Ctrl`+`K`

# TaoLineSearchComputeObjectiveAndGTS

Computes the objective function value and inner product of gradient and step direction at a given point

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchComputeObjectiveAndGTS(TaoLineSearch ls, Vec x, PetscReal *f, PetscReal *gts)

Collective

## Input Parameters

- ls - the `TaoLineSearch` context

- x - input vector

## Output Parameters

- f - Objective value at `x`

- gts - inner product of gradient and step direction at `x`

## Note

`TaoLineSearchComputeObjectiveAndGTS()` is typically used within line searches so most users would not generally call this routine themselves.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoLineSearch`, `TaoLineSearchComputeGradient()`, `TaoLineSearchComputeObjectiveAndGradient()`, `TaoLineSearchSetObjectiveRoutine()`

## Level

developer

## Location

src/tao/linesearch/interface/taolinesearch.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages